#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
    int p,q,r,l,d,b=0;
    cin>>p>>q>>r>>l>>d;
    for(int i=l;i<=d;i++){
        if((i+p-1)/p+(i+q-1)/q+(i+r-1)/r<=i){
            b++;
        }
    }
    cout<<b;
    return 0;
}